#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1457\r"; sleep 2;
echo -e "write (0,1) -1398\r"; sleep 2;
echo -e "write (0,2) -1377\r"; sleep 2;
echo -e "write (0,3) -1202\r"; sleep 2;
echo -e "write (0,4) -1245\r"; sleep 2;
echo -e "write (0,5) -1398\r"; sleep 2;
echo -e "write (0,6) -1332\r"; sleep 2;
echo -e "write (0,9) -1247\r"; sleep 2;
echo -e "write (0,10) -1255\r"; sleep 2;
echo -e "write (0,11) -1306\r"; sleep 2;
echo -e "write (0,12) -1353\r"; sleep 2;
echo -e "write (0,13) -1345\r"; sleep 2;
echo -e "write (0,14) -1483\r"; sleep 2;
echo -e "write (1,0) -1230\r"; sleep 2;
echo -e "write (1,1) -1326\r"; sleep 2;
echo -e "write (1,2) -1498\r"; sleep 2;
echo -e "write (1,3) -1253\r"; sleep 2;
echo -e "write (1,4) -1397\r"; sleep 2;
echo -e "write (1,5) -1486\r"; sleep 2;
echo -e "write (1,6) -1411\r"; sleep 2;
echo -e "write (1,9) -1472\r"; sleep 2;
echo -e "write (1,10) -1277\r"; sleep 2;
echo -e "write (1,11) -1296\r"; sleep 2;
echo -e "write (1,12) -1244\r"; sleep 2;
echo -e "write (1,13) -1349\r"; sleep 2;
echo -e "write (1,14) -1532\r"; sleep 2;
echo -e "write (2,0) -1221\r"; sleep 2;
echo -e "write (2,1) -1351\r"; sleep 2;
echo -e "write (2,2) -1424\r"; sleep 2;
echo -e "write (2,3) -1233\r"; sleep 2;
echo -e "write (2,4) -1548\r"; sleep 2;
echo -e "write (2,5) -1253\r"; sleep 2;
echo -e "write (2,6) -1678\r"; sleep 2;
echo -e "write (2,9) -1274\r"; sleep 2;
echo -e "write (2,10) -1308\r"; sleep 2;
echo -e "write (2,11) -1433\r"; sleep 2;
echo -e "write (2,12) -1278\r"; sleep 2;
echo -e "write (2,13) -1472\r"; sleep 2;
echo -e "write (2,14) -1264\r"; sleep 2;
echo -e "write (3,0) -1380\r"; sleep 2;
echo -e "write (3,1) -1343\r"; sleep 2;
echo -e "write (3,2) -1442\r"; sleep 2;
echo -e "write (3,3) -1321\r"; sleep 2;
echo -e "write (3,4) -1273\r"; sleep 2;
echo -e "write (3,5) -1400\r"; sleep 2;
echo -e "write (3,6) -1302\r"; sleep 2;
echo -e "write (3,9) -1481\r"; sleep 2;
echo -e "write (3,10) -1290\r"; sleep 2;
echo -e "write (3,11) -1361\r"; sleep 2;
echo -e "write (3,12) -1260\r"; sleep 2;
echo -e "write (3,13) -1437\r"; sleep 2;
echo -e "write (3,14) -1224\r"; sleep 2;
echo -e "write (4,0) -1370\r"; sleep 2;
echo -e "write (4,1) -1280\r"; sleep 2;
echo -e "write (4,2) -1265\r"; sleep 2;
echo -e "write (4,3) -1416\r"; sleep 2;
echo -e "write (4,4) -1223\r"; sleep 2;
echo -e "write (4,5) -1290\r"; sleep 2;
echo -e "write (4,6) -1326\r"; sleep 2;
echo -e "write (4,9) -1309\r"; sleep 2;
echo -e "write (4,10) -1499\r"; sleep 2;
echo -e "write (4,11) -1389\r"; sleep 2;
echo -e "write (4,12) -1236\r"; sleep 2;
echo -e "write (4,13) -1600\r"; sleep 2;
echo -e "write (4,14) -1600\r"; sleep 2;
echo -e "write (5,0) -1600\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1600\r"; sleep 2;
echo -e "write (5,3) -1600\r"; sleep 2;
echo -e "write (5,4) -1600\r"; sleep 2;
echo -e "write (5,5) -1600\r"; sleep 2;
echo -e "write (5,6) -1600\r"; sleep 2;
echo -e "write (5,9) -1600\r"; sleep 2;
echo -e "write (5,10) -1566\r"; sleep 2;
echo -e "write (5,11) -1332\r"; sleep 2;
echo -e "write (5,12) -1155\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1553\r"; sleep 2;
echo -e "write (6,0) -1574\r"; sleep 2;
echo -e "write (6,1) -1463\r"; sleep 2;
echo -e "write (6,2) -1600\r"; sleep 2;
echo -e "write (6,3) -1406\r"; sleep 2;
echo -e "write (6,4) -1420\r"; sleep 2;
echo -e "write (6,5) -1466\r"; sleep 2;
echo -e "write (6,6) -1660\r"; sleep 2;
echo -e "write (6,9) -1627\r"; sleep 2;
echo -e "write (6,10) -1600\r"; sleep 2;
echo -e "write (6,11) -1654\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1654\r"; sleep 2;
echo -e "write (6,14) -1486\r"; sleep 2;
echo -e "write (7,0) -1258\r"; sleep 2;
echo -e "write (7,1) -1522\r"; sleep 2;
echo -e "write (7,3) -1379\r"; sleep 2;
echo -e "write (7,4) -1487\r"; sleep 2;
echo -e "write (7,5) -1457\r"; sleep 2;
echo -e "write (7,6) -1675\r"; sleep 2;
echo -e "write (7,8) -1523\r"; sleep 2;
echo -e "write (7,9) -1548\r"; sleep 2;
echo -e "write (7,10) -1478\r"; sleep 2;
echo -e "write (7,11) -1554\r"; sleep 2;
echo -e "write (7,12) -1600\r"; sleep 2;
echo -e "write (7,13) -1532\r"; sleep 2;
echo -e "write (7,14) -1517\r"; sleep 2;
echo -e "write (8,0) -1347\r"; sleep 2;
echo -e "write (8,1) -1436\r"; sleep 2;
echo -e "write (8,2) -1347\r"; sleep 2;
echo -e "write (8,3) -1242\r"; sleep 2;
echo -e "write (8,4) -1370\r"; sleep 2;
echo -e "write (8,5) -1252\r"; sleep 2;
echo -e "write (8,6) -1442\r"; sleep 2;
echo -e "write (8,9) -1244\r"; sleep 2;
echo -e "write (8,10) -1397\r"; sleep 2;
echo -e "write (8,11) -1380\r"; sleep 2;
echo -e "write (8,12) -1449\r"; sleep 2;
echo -e "write (8,13) -1354\r"; sleep 2;
echo -e "write (8,14) -1282\r"; sleep 2;
echo -e "write (9,0) -1295\r"; sleep 2;
echo -e "write (9,1) -1310\r"; sleep 2;
echo -e "write (9,2) -1466\r"; sleep 2;
echo -e "write (9,3) -1495\r"; sleep 2;
echo -e "write (9,4) -1297\r"; sleep 2;
echo -e "write (9,5) -1561\r"; sleep 2;
echo -e "write (9,6) -1594\r"; sleep 2;
echo -e "write (9,9) -1600\r"; sleep 2;
echo -e "write (9,10) -1422\r"; sleep 2;
echo -e "write (9,11) -1545\r"; sleep 2;
echo -e "write (9,12) -1378\r"; sleep 2;
echo -e "write (9,13) -1513\r"; sleep 2;
echo -e "write (9,14) -1336\r"; sleep 2;
echo -e "write (10,0) -1338\r"; sleep 2;
echo -e "write (10,1) -1291\r"; sleep 2;
echo -e "write (10,2) -1174\r"; sleep 2;
echo -e "write (10,3) -1441\r"; sleep 2;
echo -e "write (10,4) -1164\r"; sleep 2;
echo -e "write (10,5) -1330\r"; sleep 2;
echo -e "write (10,6) -1359\r"; sleep 2;
echo -e "write (10,9) -1301\r"; sleep 2;
echo -e "write (10,10) -1600\r"; sleep 2;
echo -e "write (10,11) -1444\r"; sleep 2;
echo -e "write (10,12) -1242\r"; sleep 2;
echo -e "write (10,13) -1305\r"; sleep 2;
echo -e "write (10,14) -1489\r"; sleep 2;
echo -e "write (11,0) -1217\r"; sleep 2;
echo -e "write (11,1) -1370\r"; sleep 2;
echo -e "write (11,2) -1600\r"; sleep 2;
echo -e "write (11,4) -1404\r"; sleep 2;
echo -e "write (11,5) -1477\r"; sleep 2;
echo -e "write (11,6) -1687\r"; sleep 2;
echo -e "write (11,9) -1238\r"; sleep 2;
echo -e "write (11,10) -1359\r"; sleep 2;
echo -e "write (11,11) -1530\r"; sleep 2;
echo -e "write (11,12) -1224\r"; sleep 2;
echo -e "write (11,13) -1425\r"; sleep 2;
echo -e "write (11,14) -1446\r"; sleep 2;
echo -e "write (11,15) -1653\r"; sleep 2;
echo -e "write (12,1) -1302\r"; sleep 2;
echo -e "write (12,2) -1327\r"; sleep 2;
echo -e "write (12,3) -1256\r"; sleep 2;
echo -e "write (12,4) -1300\r"; sleep 2;
echo -e "write (12,5) -1236\r"; sleep 2;
echo -e "write (12,8) -1285\r"; sleep 2;
echo -e "write (12,9) -1272\r"; sleep 2;
echo -e "write (12,10) -1346\r"; sleep 2;
echo -e "write (12,11) -1473\r"; sleep 2;
echo -e "write (12,12) -1593\r"; sleep 2;
echo -e "write (12,13) -1462\r"; sleep 2;
echo -e "write (12,14) -1508\r"; sleep 2;
echo -e "write (12,15) -1535\r"; sleep 2;
echo -e "write (13,0) -1509\r"; sleep 2;
echo -e "write (13,1) -1440\r"; sleep 2;
echo -e "write (13,2) -1634\r"; sleep 2;
echo -e "write (13,3) -1411\r"; sleep 2;
echo -e "write (13,4) -1330\r"; sleep 2;
echo -e "write (13,5) -1496\r"; sleep 2;
echo -e "write (13,6) -1611\r"; sleep 2;
echo -e "write (13,9) -1543\r"; sleep 2;
echo -e "write (13,10) -1443\r"; sleep 2;
echo -e "write (13,11) -1445\r"; sleep 2;
echo -e "write (13,12) -1377\r"; sleep 2;
echo -e "write (13,13) -1361\r"; sleep 2;
echo -e "write (13,14) -1463\r"; sleep 2;
echo -e "write (14,0) -1422\r"; sleep 2;
echo -e "write (14,1) -1579\r"; sleep 2;
echo -e "write (14,2) -1648\r"; sleep 2;
echo -e "write (14,3) -1418\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1552\r"; sleep 2;
echo -e "write (14,6) -1518\r"; sleep 2;
echo -e "write (14,9) -1611\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1422\r"; sleep 2;
echo -e "write (14,12) -1592\r"; sleep 2;
echo -e "write (14,13) -1538\r"; sleep 2;
echo -e "write (14,14) -1313\r"; sleep 2;
echo -e "write (15,0) -1483\r"; sleep 2;
echo -e "write (15,1) -1437\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7007 > ../log/fms_hvon_7007_$t.tex
echo Set new HV
cat ../log/fms_hvon_7007_$t.tex
